> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Team Repo Permissions

To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a `422 Unprocessable Entity` status if you attempt to add a repository to a team that is not owned by the organization. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."

**Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.

For more information about the permission levels, see "[Repository permission levels for an organization](https://docs.github.com/en/github/setting-up-and-managing-organizations-and-teams/repository-permission-levels-for-an-organization#permission-levels-for-repositories-owned-by-an-organization)".

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [GitHub documentation](https://docs.github.com/rest/reference/teams/#add-or-update-team-repository-permissions).

## Parameters

| Parameter | Description |
| - | - |
| Org | The organization name. The name is not case sensitive. |
| Owner | The account owner of the repository. The name is not case sensitive. |
| Permission | The permission to grant the team on this repository. In addition to the enumerated values, you can also specify a custom repository role name, if the owning organization has defined any. If no permission is specified, the team's `permission` attribute will be used to determine what permission to grant the team on this repository. |
| Repo | The name of the repository. The name is not case sensitive. |
| Team Slug | The slug of the team name. |

## Workflow Library Example

[Set Team Repo Permissions with Github and Send Results Via Email](https://library.blinkops.com/workflows/set-team-repo-permissions-with-github-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/set-team-repo-permissions-with-github-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/set-team-repo-permissions-with-github-and-send-results-via-email/canvas)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.